FruxonDocs
ApiCollection pipelines

Lists the tenant's collection pipelines.

Returns a paginated list of the collection pipelines defined in the tenant, each with its source, per-item Agent or Workflow, sink, and run policy.

GET
/v1/tenants/{tenant}/collectionPipelines
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

tenant*string

The tenant identifier

Query Parameters

PageSize?integer

The maximum number of items to return per page

Formatint32
PageToken.Skip?integer
Formatint32
PageToken.Cursor?string

Opaque cursor token from an external system (e.g. RAG API). When set, M:Fruxon.Common.Collections.PageToken.AsString returns this value directly instead of encoding Fruxon.Common.Collections.PageToken.Skip.

orderBy?

Sort order (AIP-132 orderBy).

runnableId?string

If supplied, only connections targeting this Agent or Workflow are returned.

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/collectionPipelines"
{
  "items": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "tenantId": "00000000-0000-0000-0000-000000000000",
      "createdAt": 0,
      "modifiedAt": 0,
      "displayName": "string",
      "active": false,
      "source": {
        "kind": "UNSPECIFIED",
        "ragAssetId": "string",
        "ragReadMode": "UNSPECIFIED",
        "ragSearch": "string",
        "pageSize": null,
        "integrationConfigId": "string",
        "listToolId": "string",
        "getToolId": "string",
        "recordsPath": "string",
        "cursorParamName": "string",
        "parameters": {},
        "itemIdPath": "string",
        "sinkTargetPath": "string",
        "skipWhen": null,
        "sourceUrlPath": "string",
        "flattenSheetRows": false
      },
      "sourceRefs": [],
      "defaultSourceId": "00000000-0000-0000-0000-000000000000",
      "agentId": "string",
      "runnableId": "string",
      "runnableType": "AGENT",
      "networkId": "00000000-0000-0000-0000-000000000000",
      "agentRevision": "string",
      "runnableRevision": "string",
      "inputMapping": {
        "userQuery": "string",
        "parameters": {},
        "attachmentUrlPath": "string"
      },
      "outputSchema": [],
      "sink": {
        "sinks": []
      },
      "runPolicy": {
        "maxItems": null,
        "maxConcurrency": 0,
        "perRunBudgetCap": null,
        "dedupKeyPath": "string",
        "onItemError": "UNSPECIFIED",
        "actionTypeCeiling": "UNSPECIFIED"
      },
      "publishedRevisionId": "00000000-0000-0000-0000-000000000000",
      "hidden": false
    }
  ],
  "nextPageToken": "string",
  "totalCount": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}